kcvman
Contributor
Contributor

Can you run ESX 4 tools on a 3.5 U3 guest before upgrade to ESX 4 / VC 4?

Reason I am asking -- client has a mandatory outage window for 2000 guests coming in Sept., but wil not yet be prepared to upgrade all hosts to ESX 4 from 3.5 U3. They will however, be upgrading their VC's to vCenter 4 by the end of the year. They want to get the tools upgrade in - and reboots - while they have this opportunity. They are on VC 2.5 U4 currently.

Is this possible and supported?

Thanks.

0 Kudos
4 Replies
Troy_Clavell
Immortal
Immortal

I would advise against running ESX(i)4 tools on 3.5.x guests. Not saying it won't work, but you may see mixed results. The guests can run with "Tools old" just fine. I would wait until you get all your ESX(i) Hosts to 4 before you upgrade the guests. You may run into vmotion problems as well as other issues, especially around support.

just my two cents.

allb18c
Enthusiast
Enthusiast

Yes you can.

We had to roll back a cluster from 4.0 to 3.5u4. During the time all of the guests VMtools were upgraded.

After 1 host was rolled back extensive testing was done to validate that all functionality still works at the guest level. A VMware tech also validated this.

I cannot speak however if it is offically supported though...

0 Kudos

Why did you roll the cluster back?

0 Kudos
rofish
Enthusiast
Enthusiast

Hi,

You can run the vSphere tools version on ES 3.5. Not sure if this setup is supported by VMware. Don't upgrade your virtual hardware to version 7, because that will get you into trouble.

Recommended upgrade path:

  1. Upgrade VC DB and VC. Please be aware older DB versions are no longer supported, so an DB upgrade might be necessary.

  2. Upgrade VUM.

  3. Upgrade ESX an ESXi hosts (you can use the upgraded VUM to do it) or do a fresh install. When upgrading, make sure you have sufficient storage space available.

  4. Upgrade tools on migrated guests.

  5. Upgrade virtual hw to version 7.

Regards,

Ronald

0 Kudos